package net.phatcode.rel;

// Class to minimize Garbage Collection

public class Behaviors
{
	// Bullets and entities
	public static Behavior behaviorLinear = new BehaviorLinear();
	public static Behavior behaviorAccelerated = new BehaviorAccelerated();
	public static Behavior behaviorDecelerated = new BehaviorDecelerated();
	public static Behavior behaviorStop = new BehaviorStop();
	
	// Turrets
	public static TurretBehavior rotateBehaviorDefault = new TurretRotateBehaviorDefault();
	public static TurretBehavior rotateBehaviorOscillate = new TurretRotateBehaviorOscillate();
	public static TurretBehavior fireBehaviorSpread  = new TurretFireBehaviorSpread();
	public static TurretBehavior fireBehaviorRing  = new TurretFireBehaviorRing();
	
	public Behaviors()
	{
		
	}
}
